Subject: Re: Lockdep warning in vxlan

From: Stephen Hemminger <[email-masked]>
Date: Thu, 20 Dec 2012 08:34:36 -0800

On Thu, 20 Dec 2012 16:00:32 +0200
Yan Burman <[email-masked]> wrote:

> Hi.
> 
> When working with vxlan from current net-next, I got a lockdep warning 
> (below).
> It seems to happen when I have host B pinging host A and while the pings 
> continue,
> I do "ip link del" on the vxlan interface on host A. The lockdep warning 
> is on host A.
> Tell me if you need some more info.
> 

Looks like the case of nested ARP requests, the initial request is coming
from neigh_timer (ARP retransmit), but inside neigh_probe the lock
is dropped?